package jalview.datamodel;

import static org.testng.AssertJUnit.assertEquals;
import static org.testng.AssertJUnit.assertSame;

import jalview.datamodel.MappingType;

import org.testng.annotations.Test;

public class MappingTypeTest
{

  @Test(groups = "Functional")
  public void testGetInverse()
  {
    assertSame(MappingType.PeptideToNucleotide,
            MappingType.NucleotideToPeptide.getInverse());
    assertSame(MappingType.NucleotideToPeptide,
            MappingType.PeptideToNucleotide.getInverse());
    assertSame(MappingType.NucleotideToNucleotide,
            MappingType.NucleotideToNucleotide.getInverse());
    assertSame(MappingType.PeptideToPeptide,
            MappingType.PeptideToPeptide.getInverse());
  }

  @Test(groups = "Functional")
  public void testGetFromRatio()
  {
    assertEquals(1, MappingType.NucleotideToNucleotide.getFromRatio());
    assertEquals(1, MappingType.PeptideToNucleotide.getFromRatio());
    assertEquals(1, MappingType.PeptideToPeptide.getFromRatio());
    assertEquals(3, MappingType.NucleotideToPeptide.getFromRatio());
  }

  @Test(groups = "Functional")
  public void testGetToRatio()
  {
    assertEquals(1, MappingType.NucleotideToNucleotide.getToRatio());
    assertEquals(3, MappingType.PeptideToNucleotide.getToRatio());
    assertEquals(1, MappingType.PeptideToPeptide.getToRatio());
    assertEquals(1, MappingType.NucleotideToPeptide.getToRatio());
  }
}
